/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	表示共通処理用 Velocity Toolクラス
//
//		変更履歴
//			2005.02.19  新規作成  村上 靖征
//
//	機能
//
//	このクラスは表示共通処理を定義するクラスです。
//
////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmf.tools.xmo.Base;

import jp.co.ntt.lms.xmf.tools.ToolBase;

/**
 * 表示共通処理用 Velocity Toolクラス
 * 
 * このクラスは表示共通処理を定義するクラスです。
 * 
 * @author 村上 靖征
 * @version 1.0
 */
public class XMOBaseCommonTool extends ToolBase
{

	/**
	 * /xmo/Base/Common.jsp から getGroupGif を移行
	 * 
	 * @param strGroupType
	 * @return
	 */
	public String getGroupGif(String strGroupType)
	{
		String strGifName = "";
		strGifName = "icon_group_type_" + strGroupType + ".gif";
		return strGifName;
	}

	/**
	 * LO 画像情報を取得する。
	 * 
	 * @param strLoType
	 * @return
	 */
	public String getLoGif(String strLoType)
	{
		String strGifName = "";
		strGifName = "icon_lo_type_" + strLoType + ".gif";
		return strGifName;
	}

	/**
	 * LO 画像情報を取得する。
	 * 
	 * @param strLoType
	 * @param strPrerePF
	 * @return
	 */
	public String getLoGif(String strLoType, String strPrerePF)
	{
		String strGifName = "";
		// コンテナの場合
		if (strLoType.equals("container"))
		{
			if (strPrerePF == null || strPrerePF.equals(""))
			{
				strGifName = "icon_lo.gif";
			}
			else
			{
				strGifName = "icon_lo_" + strPrerePF + ".gif";
			}
		}
		// コンテナ以外の教材の場合
		else
		{
			if (strPrerePF == null || strPrerePF.equals(""))
			{
				strGifName = "icon_lo_type_" + strLoType + ".gif";
			}
			else
			{
				strGifName = "icon_lo_type_" + strLoType + "_" + strPrerePF
						+ ".gif";
			}
		}
		return strGifName;
	}

	/**
	 * ステータス文字列を取得する。
	 * 
	 * @param intStatus
	 * @return
	 */
	public String getStatusGif(int intStatus)
	{
		String strIcon = null;
		switch (intStatus)
		{
		case 1:
			// 未学習
			String IMG_STATUS_NOT_STUDY = getContextString("IMG_STATUS_NOT_STUDY");
			strIcon = IMG_STATUS_NOT_STUDY;
			break;
		case 2:
			// 学習中
			String IMG_STATUS_NOW_STUDY = getContextString("IMG_STATUS_NOW_STUDY");
			strIcon = IMG_STATUS_NOW_STUDY;
			break;
		case 3:
			// 完了
			String IMG_STATUS_END_STUDY = getContextString("IMG_STATUS_END_STUDY");
			strIcon = IMG_STATUS_END_STUDY;
			break;
		case 4:
			// 合格
			String IMG_STAUTS_PASS_STUDY = getContextString("IMG_STAUTS_PASS_STUDY");
			strIcon = IMG_STAUTS_PASS_STUDY;
			break;
		case 5:
			// 完了・合格
			String IMG_STATUS_PASS_AND_END_STUDY = getContextString("IMG_STATUS_PASS_AND_END_STUDY");
			strIcon = IMG_STATUS_PASS_AND_END_STUDY;
			break;
		default:
			// その他は無地とする
			String IMG_STATUS_NON_DISPLAY = getContextString("IMG_STATUS_NON_DISPLAY");
			strIcon = IMG_STATUS_NON_DISPLAY;
			break;
		}

		return strIcon;
	}

	/**
	 * 指定された隠しグループパスから最後の親グループIDを取得する
	 * 
	 * @param strPath
	 *            隠しグループパス(例：GR1/GR2/GR3、LO1/LO2/:/LO2)
	 * @return String 親グループID(例：GR3、LO2)
	 */
	public String getLastParentID(String strPath)
	{
		return ShowCommon.getLastParentID(strPath);
	}
}